package cc.fascinated.bat.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.redis.core.RedisHash;

/**
 * @author Fascinated (fascinated7)
 */
@AllArgsConstructor
@Getter @Setter
@RedisHash(value = "DiscordMessage", timeToLive = 86400) // 24 hours
public class DiscordMessage {
    /**
     * The snowflake ID of the message
     */
    private final String id;

    /**
     * The timestamp when the message was sent
     */
    private final long timestamp;
    
    /**
     * The snowflake ID of the channel the message was sent in
     */
    private final String channelId;
    
    /**
     * The snowflake ID of the guild the message was sent in
     */
    private final String guildId;
    
    /**
     * The snowflake ID of the author of the message
     */
    private final String authorId;
    
    /**
     * The content of the message
     */
    private String content;

    /**
     * Whether the message was deleted
     */
    private boolean deleted;
}
